Skip to main content
PUT
Update User Profile

Authorizations

api_key
string
query
required

Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.

Path Parameters

user_id
string<uuid>
required

Body

application/json
first_name
string | null
last_name
string | null
email
string<email> | null
is_active
boolean | null
is_superuser
boolean | null
birthdate
string<date-time> | null
is_enterprise
boolean | null
role_id
string<uuid> | null
phone
string | null
state
string | null
country
string | null
address
string | null
active_billing_plan_id
string<uuid> | null
next_billing_plan_id
string<uuid> | null
stripe_customer_id
string | null
stripe_subscription_id
string | null
stripe_subscription_status
string | null
stripe_has_payment_method
boolean | null
is_trial
boolean | null
used_trial
boolean | null
is_paying
boolean | null
stripe_last_payment_date
string<date-time> | null
billing_updated_at
string<date-time> | null
last_credits_refresh
string<date-time> | null
next_credits_refresh
string<date-time> | null

Response

Successful Response

message
string | null
default:Data updated successfully
meta
Meta · object | null
data
IUserRead · object | null